package com.ruoyi.system.domain.vo;

import lombok.Data;

@Data
public class UploadImageVO {


    private String originUrl;//*"原图"


    private String thumbUrl;//缩略图

    public void setOriginUrl(String originUrl) {

        this.originUrl = replaceUrl(originUrl);
    }

    public void setThumbUrl(String thumbUrl) {
        this.thumbUrl = replaceUrl(thumbUrl);
    }

    public String replaceUrl(String url){
        String newUrl=url.replace("http://62.234.183.14:9000/","https://www.sanduolantoyoga.com/minio/");
        return newUrl;
    }

}
